## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.creation
Interface ICreateFacetInFacetSetWidget

All Superinterfaces:
  IENamedElementWidget<FacetSet,IGetOrCreateFilteredFacetSetWidget>

    public interface ICreateFacetInFacetSetWidget

extends IENamedElementWidget<FacetSet,IGetOrCreateFilteredFacetSetWidget>

See Also:
  `CreateFacetInFacetSetWidget`

Method Summary
`IGetExtendedMetaclassWidget` `getGetExtendedMetaclassWidget()`
`AbstractGetElementNameWidget` `getGetFacetNameWidget()`
`IGetOrCreateFacetSetWidget` `getGetOrCreateFacetSetWidget()`
`IAbstractWidget` `getSelectSubTypingTypeWidget()`
`java.lang.String` `getSubTypingFacet()`
`<any>` `pressSubTypingButton()`
`void` `setSubTypingFacetSelection(boolean enable)`

Methods inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.exported.widget.IENamedElementWidget
`getContainer, getElementName, pressParentButton, setName`

Method Detail

### getGetOrCreateFacetSetWidget

    IGetOrCreateFacetSetWidget getGetOrCreateFacetSetWidget()

  Returns:
    the getOrCreateFacetSetWidget

### getSelectSubTypingTypeWidget

    IAbstractWidget getSelectSubTypingTypeWidget()

  Returns:
    the selectSubTypingTypeWidget

### getGetFacetNameWidget

    AbstractGetElementNameWidget getGetFacetNameWidget()

  Returns:
    the getFacetNameWidget

### getGetExtendedMetaclassWidget

    IGetExtendedMetaclassWidget getGetExtendedMetaclassWidget()

  Returns:
    the getExtendedMetaclassWidget

### getSubTypingFacet

    java.lang.String getSubTypingFacet()

  Returns:
    the name of the sub-typing widget.

### pressSubTypingButton

    <any> pressSubTypingButton()

### setSubTypingFacetSelection

    void setSubTypingFacetSelection(boolean enable)